kabc Library: KABC::TimeZone Class Reference (kabc Library)

| # kabc Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KABC::TimeZone Class Reference

Time zone information. More...

`#include <timezone.h>`

List of all members.

## Public Member Functions
| TimeZone ()
| TimeZone (int offset)
void | setOffset (int offset)
int | offset () const
bool | isValid () const
bool | operator== (const TimeZone &) const
bool | operator!= (const TimeZone &) const
QString | asString () const
## Friends
KABC_EXPORT QDataStream & | operator<< (QDataStream &, const TimeZone &)
KABC_EXPORT QDataStream & | operator>> (QDataStream &, TimeZone &)

## Detailed Description

Time zone information.

This class stores information about a time zone.

Definition at line 35 of file timezone.h.

## Constructor & Destructor Documentation

TimeZone::TimeZone | ( |  | ) |

| Construct invalid time zone. Definition at line 27 of file timezone.cpp.

TimeZone::TimeZone | ( | int | offset | ) |

  | Construct time zone. Parameters:
  | offset | Offset in minutes relative to UTC.
Definition at line 32 of file timezone.cpp.

## Member Function Documentation

void TimeZone::setOffset | ( | int | offset | ) |

  | Set time zone offset relative to UTC. Parameters:
  | offset | Offset in minutes.
Definition at line 37 of file timezone.cpp.

int TimeZone::offset | ( |  | ) | const

| Return offset in minutes relative to UTC. Definition at line 43 of file timezone.cpp.

bool TimeZone::isValid | ( |  | ) | const

| Return, if this time zone object is valid. Definition at line 48 of file timezone.cpp.

QString TimeZone::asString | ( |  | ) | const

| Return string representation of time zone offset. Definition at line 69 of file timezone.cpp. References QString::number().

The documentation for this class was generated from the following files:

- timezone.h
- timezone.cpp

This file is part of the documentation for kabc Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:31:55 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003